> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trophy.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get boosts for a points system

> Get all global boosts for a points system. Finished boosts are excluded by default.



## OpenAPI

````yaml https://api.trophy.so/v1/openapi get /points/{key}/boosts
openapi: 3.1.0
info:
  title: Trophy
  version: 1.19.0
servers:
  - x-fern-server-name: Application API
    url: https://api.trophy.so/v1
    description: Application API
security: []
paths:
  /points/{key}/boosts:
    servers:
      - url: https://api.trophy.so/v1
        description: Application API
    parameters:
      - $ref: '#/components/parameters/TenantId'
    get:
      tags:
        - Points
      summary: Get boosts for a points system
      description: >-
        Get all global boosts for a points system. Finished boosts are excluded
        by default.
      operationId: points_boosts
      parameters:
        - name: key
          in: path
          description: Key of the points system.
          required: true
          schema:
            type: string
          example: points-system-key
        - name: includeFinished
          in: query
          description: >-
            When set to 'true', boosts that have finished (past their end date)
            will be included in the response. By default, finished boosts are
            excluded.
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PointsBoost'
              examples:
                Successful operation:
                  value:
                    - id: 0040fe51-6bce-4b44-b0ad-bddc4e123537
                      name: Double XP Weekend
                      status: active
                      start: '2025-01-01'
                      end: '2025-01-03'
                      multiplier: 2
                      rounding: down
                    - id: 0040fe51-6bce-4b44-b0ad-bddc4e123538
                      name: Holiday Bonus
                      status: finished
                      start: '2024-12-25'
                      end: '2024-12-31'
                      multiplier: 1.5
                      rounding: nearest
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '404':
          description: Points system not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          source: |
            import { TrophyApiClient } from '@trophyso/node';

            const trophy = new TrophyApiClient({
              apiKey: 'YOUR_API_KEY'
            });

            const response = await trophy.points.boosts("points-system-key");
        - lang: python
          source: |
            from trophy import TrophyApi

            client = TrophyApi(api_key='YOUR_API_KEY')

            response = client.points.boosts(key="points-system-key")
        - lang: go
          source: |
            import (
              "context"

              api "github.com/trophyso/trophy-go"
              trophyclient "github.com/trophyso/trophy-go/client"
              "github.com/trophyso/trophy-go/option"
            )

            client := trophyclient.NewClient(
              option.WithApiKey("YOUR_API_KEY"),
            )

            response, err := client.Points.Boosts(
              context.TODO(),
              "points-system-key",
              &api.PointsBoostsRequest{},
            )
components:
  parameters:
    TenantId:
      name: Tenant-ID
      in: header
      description: >-
        The tenant identifier for multi-tenant organisations. Required when the
        organisation has multi-tenancy enabled. The value should be your
        internal ID for the tenant. Ignored for single-tenant organisations.
      required: false
      schema:
        type: string
      example: customer_12345
  schemas:
    PointsBoost:
      title: PointsBoost
      type: object
      properties:
        id:
          type: string
          description: The ID of the points boost
        name:
          type: string
          description: The name of the points boost
        status:
          type: string
          enum:
            - active
            - scheduled
            - finished
          description: The status of the points boost
        start:
          type: string
          description: The start date of the points boost
        end:
          type:
            - string
            - 'null'
          description: The end date of the points boost
        multiplier:
          type: number
          description: The multiplier of the points boost
        rounding:
          type: string
          enum:
            - down
            - up
            - nearest
          description: The rounding method of the points boost
      required:
        - id
        - name
        - status
        - start
        - end
        - multiplier
        - rounding
    ErrorBody:
      title: ErrorBody
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````